Subject: Re: kernel compile problems <[email-masked]>

From: Duncan McEwan <[email-masked]>

> ->This could only happen if you're using a different `cpp' or `as' than
> ->the ones supplied in NetBSD.
>
> Wrong ;-(
> It happended to me with standard gcc/cpp/as on some other location,
> if I remember right, it was during libc build.  I simply typed make
> again, and this time it worked.

I've had similar experiences a number of times as a result of the corrupted
file problem that has been described in the "duplicated inodes" thread.

Mostly the corrupted file was the one being compiled, so examining that file
would reveal the problem (a block of some other random file embedded in the
middle of a file being compiled generally causes the compiler some
difficulties!).  Occasionally though, the corrupted file was a temporary file
output by one of the compiler passes, so there was no evidence of a problem,
but repeating the same command worked fine...

Duncan